print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecompost = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceapfel = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	if node ~= 0 then
	
	local compostHudFile = "huds/hud_fill_compost.dds"
	local compostHudFileSmall = "huds/hud_fill_compost_sml.dds"
	local apfelHudFile = "huds/hud_fill_apple.png"
    local apfelHudFileSmall = "huds/hud_fill_apple_sml.png"

	local compostFilType = g_fillTypeManager:addFillType("COMPOST", g_i18n:getText("compost"), true, pricecompost * 2.0, 0.00045, math.rad(10), compostHudFile, compostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local apfelFilType = g_fillTypeManager:addFillType("APFEL", g_i18n:getText("apfel"), true, priceapfel * 2.0, 0.00045, math.rad(10), apfelHudFile, apfelHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)

	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascompost=false	
	local hasapfel=false
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascompost=false
	hasapfel=false
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COMPOST" then
		hascompost=true
	end;
		if fillname == "APFEL" then
		hasapfel=true
	end;
end;

		if hasmaize and not hascompost then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COMPOST")
		local price = g_fillTypeManager:getFillTypeByName("COMPOST").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOST")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not hasapfel then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("APFEL")
		local price = g_fillTypeManager:getFillTypeByName("APFEL").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("APFEL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)