--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local coalHudFile = "huds/hud_fill_coal.dds"
	    local coalHudFileSmall = "huds/hud_fill_coal_small.dds"
	     		
		
		print();
        local coalFilType = g_fillTypeManager:addFillType("COAL", g_i18n:getText("coal"), true, priceMaize * 1.1, 0.00045, math.rad(40), coalHudFile, coalHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local coalCategory = {"BULK"}
		
	    for _,k in pairs(coalCategory) do
			g_fillTypeManager:addFillTypeToCategory(coalFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hascoal=false	
		
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hascoal=false
		
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "COAL" then
					hascoal=true								
				end;
				
			end;
				
				if hasmaize and not hascoal then
					--add COAL zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("COAL")
					local price = g_fillTypeManager:getFillTypeByName("COAL").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COAL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				
		end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

