print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricemehl = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local mehlHudFile = "huds/hud_fill_mehl.dds"
	local mehlHudFileSmall = "huds/hud_fill_mehl_sml.dds"
	
    local mehlFilType = g_fillTypeManager:addFillType("MEHL", g_i18n:getText("mehl"), true, pricemehl * 2.0, 0.00045, math.rad(40), mehlHudFile, mehlHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	 
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmehl=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmehl=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MEHL" then
		hasmehl=true
	end;
	   
end;

		if hasmaize and not hasmehl then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MEHL")
		local price = g_fillTypeManager:getFillTypeByName("MEHL").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MEHL")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)