print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricestrawberry = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local strawberryHudFile = "textures/hud_fill_strawberry.dds"
	local strawberryHudFileSmall = "textures/hud_fill_strawberry_small.dds"
	
    local strawberryFilType = g_fillTypeManager:addFillType("STRAWBERRY", g_i18n:getText("strawberry"), true, pricestrawberry * 2.0, 0.00045, math.rad(40), strawberryHudFile, strawberryHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	 
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasstrawberry=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasstrawberry=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "STRAWBERRY" then
		hasstrawberry=true
	end;
	   
end;

		if hasmaize and not hasstrawberry then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("STRAWBERRY")
		local price = g_fillTypeManager:getFillTypeByName("STRAWBERRY").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("STRAWBERRY")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)