print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceboards = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	local priceresin = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	
	if node ~= 0 then
	
	local boardsHudFile = "huds/hud_fill_bretterPallet.dds"
	local boardsHudFileSmall = "huds/hud_fill_bretterPallet_sml.dds"
	local resinHudFile = "huds/hud_fill_resin.png"
    local resinHudFileSmall = "huds/hud_fill_resin_sml.png"
    
	
	local boardsFilType = g_fillTypeManager:addFillType("BOARDS", g_i18n:getText("boards"), true, priceboards * 10.0, 0.00045, math.rad(40), boardsHudFile, boardsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local resinFilType = g_fillTypeManager:addFillType("RESIN", g_i18n:getText("resin"), true, priceresin * 10.0, 0.00045, math.rad(40), resinHudFile, resinHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local haswoodChips =false
	local hasboards=false	
	local hasresin=false
	
	
	local object=id
	if object == nil then
	else
	haswoodChips =false
	hasboards=false
	hasresin=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "WOODCHIPS" then
		haswoodChips=true
	end;
		if fillname == "BOARDS" then
		hasboards=true
	end;
		if fillname == "RESIN" then
		hasresin=true
	end;
	   
end;

		if haswoodChips and not hasboards then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BOARDS")
		local price = g_fillTypeManager:getFillTypeByName("BOARDS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BOARDS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hasresin then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("RESIN")
		local price = g_fillTypeManager:getFillTypeByName("RESIN").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("RESIN")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)